Crazy Eddies GUI System: CEGUI::FalagardTabControl Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes
CEGUI::FalagardTabControl Class Reference

TabControl class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardTabControl:
[legend]
Collaboration diagram for CEGUI::FalagardTabControl:
[legend]

List of all members.

## Public Member Functions
| FalagardTabControl (const String &type)
| type name for this widget.
const String & | getTabButtonType () const
void | setTabButtonType (const String &type)
void | render ()
| Populate render cache.
## Static Public Attributes
static const utf8 | TypeName []
## Protected Member Functions
TabButton * | createTabButton (const String &name) const
| create and return a pointer to a TabButton widget for use as a clickable tab header
## Protected Attributes
String | d_tabButtonType
## Static Protected Attributes
static FalagardTabControlProperties::TabButtonType | d_tabButtonTypeProperty

## Detailed Description

TabControl class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled
- Disabled

Child Widgets: TabPane based widget with name suffix "__auto_TabPane__" optional: DefaultWindow to contain tab buttons with name suffix "__auto_TabPane__Buttons"

Property initialiser definitions:

- TabButtonType - specifies a TabButton based widget type to be created each time a new tab button is required.

Note:
  The current TabControl base class enforces a strict layout, so while imagery can be customised as desired, the general layout of the component widgets is, at least for the time being, fixed.

## Constructor & Destructor Documentation

CEGUI::FalagardTabControl::FalagardTabControl | ( | const String & | type | ) |

type name for this widget.

Constructor

## Member Function Documentation

TabButton* CEGUI::FalagardTabControl::createTabButton | ( | const String & | name | ) | const`[protected, virtual]`

create and return a pointer to a TabButton widget for use as a clickable tab header

Parameters:

  name | Button name

Returns:
  Pointer to a TabButton to be used for changing tabs.

Implements CEGUI::TabControlWindowRenderer.

void CEGUI::FalagardTabControl::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.